Skip to main content
POST
/
api
/
v1
/
chat
/
threads
/
{thread_id}
/
participants
Add Participant
curl --request POST \
  --url https://api.example.com/api/v1/chat/threads/{thread_id}/participants \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": "<string>"
}
'

Add Participant

Add a new participant to an existing thread. Requires can_manage_participants capability.

Authentication

Requires a valid user JWT token with can_manage_participants capability.

Path Parameters

thread_id
string
required
UUID of the thread.

Request Body

user_id
string
required
UUID of the user to add.

Example

curl -X POST https://api.ama2.me/api/v1/chat/threads/{thread_id}/participants \
  -H "Authorization: Bearer YOUR_JWT_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "user_id": "target-user-uuid"
  }'